VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL bcd(3:0)
        SIGNAL segment(7:0)
        SIGNAL segment(0)
        SIGNAL segment(1)
        SIGNAL segment(2)
        SIGNAL segment(3)
        SIGNAL segment(4)
        SIGNAL segment(5)
        SIGNAL segment(6)
        SIGNAL segment(7)
        BEGIN SIGNAL an(3:0)
        END SIGNAL
        SIGNAL an(0)
        SIGNAL an(1)
        SIGNAL an(2)
        SIGNAL an(3)
        PORT Input bcd(3:0)
        PORT Output segment(0)
        PORT Output segment(1)
        PORT Output segment(2)
        PORT Output segment(3)
        PORT Output segment(4)
        PORT Output segment(5)
        PORT Output segment(6)
        PORT Output segment(7)
        PORT Output an(0)
        PORT Output an(1)
        PORT Output an(2)
        PORT Output an(3)
        BEGIN BLOCKDEF sevexp
            TIMESTAMP 2006 12 11 8 37 53
            RECTANGLE N 320 20 384 44 
            LINE N 320 32 384 32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -44 384 -20 
            LINE N 320 -32 384 -32 
            RECTANGLE N 64 -64 320 64 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 sevexp
            PIN bcd(3:0) bcd(3:0)
            PIN seven_seg(7:0) segment(7:0)
            PIN an(3:0) an(3:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_1 1152 1072 R0
        END INSTANCE
        BEGIN BRANCH bcd(3:0)
            WIRE 960 1040 1152 1040
        END BRANCH
        IOMARKER 960 1040 bcd(3:0) R180 28
        BEGIN BRANCH segment(7:0)
            WIRE 1536 1040 1584 1040
            WIRE 1584 1040 1648 1040
            WIRE 1648 1040 1712 1040
            WIRE 1712 1040 1776 1040
            WIRE 1776 1040 1840 1040
            WIRE 1840 1040 1904 1040
            WIRE 1904 1040 1968 1040
            WIRE 1968 1040 2032 1040
            WIRE 2032 1040 2048 1040
            WIRE 2048 1040 2112 1040
        END BRANCH
        BUSTAP 1584 1040 1584 1136
        BUSTAP 1648 1040 1648 1136
        BUSTAP 1712 1040 1712 1136
        BUSTAP 1776 1040 1776 1136
        BUSTAP 1840 1040 1840 1136
        BUSTAP 1904 1040 1904 1136
        BUSTAP 1968 1040 1968 1136
        BUSTAP 2048 1040 2048 1136
        BEGIN BRANCH segment(0)
            WIRE 1312 1152 1584 1152
            WIRE 1312 1152 1312 1248
            WIRE 1584 1136 1584 1152
        END BRANCH
        BEGIN BRANCH segment(1)
            WIRE 1456 1216 1456 1280
            WIRE 1456 1216 1648 1216
            WIRE 1648 1136 1648 1152
            WIRE 1648 1152 1648 1216
        END BRANCH
        BEGIN BRANCH segment(2)
            WIRE 1712 1136 1712 1248
        END BRANCH
        BEGIN BRANCH segment(3)
            WIRE 1776 1136 1776 1152
            WIRE 1776 1152 1776 1488
        END BRANCH
        BEGIN BRANCH segment(4)
            WIRE 1840 1136 1840 1680
        END BRANCH
        BEGIN BRANCH segment(5)
            WIRE 1904 1136 1904 1264
        END BRANCH
        BEGIN BRANCH segment(6)
            WIRE 1968 1136 1968 1280
        END BRANCH
        BEGIN BRANCH segment(7)
            WIRE 2048 1136 2048 1280
        END BRANCH
        IOMARKER 2048 1280 segment(7) R90 28
        IOMARKER 1968 1280 segment(6) R90 28
        IOMARKER 1904 1264 segment(5) R90 28
        IOMARKER 1312 1248 segment(0) R90 28
        IOMARKER 1456 1280 segment(1) R90 28
        IOMARKER 1776 1488 segment(3) R90 28
        IOMARKER 1712 1248 segment(2) R90 28
        IOMARKER 1840 1680 segment(4) R90 28
        BEGIN BRANCH an(3:0)
            WIRE 848 1680 960 1680
            WIRE 960 1680 1088 1680
            WIRE 1088 1680 1104 1680
            WIRE 1104 1680 1216 1680
            WIRE 1216 1680 1360 1680
            WIRE 1360 1680 1552 1680
            WIRE 1536 1104 1552 1104
            WIRE 1552 1104 1552 1680
        END BRANCH
        BUSTAP 960 1680 960 1776
        BUSTAP 1088 1680 1088 1776
        BUSTAP 1216 1680 1216 1776
        BUSTAP 1360 1680 1360 1776
        BEGIN BRANCH an(0)
            WIRE 960 1776 960 1808
            WIRE 960 1808 960 2064
        END BRANCH
        BEGIN BRANCH an(1)
            WIRE 1088 1776 1088 2064
        END BRANCH
        BEGIN BRANCH an(2)
            WIRE 1216 1776 1216 2048
        END BRANCH
        BEGIN BRANCH an(3)
            WIRE 1360 1776 1360 2048
        END BRANCH
        IOMARKER 960 2064 an(0) R90 28
        IOMARKER 1088 2064 an(1) R90 28
        IOMARKER 1216 2048 an(2) R90 28
        IOMARKER 1360 2048 an(3) R90 28
    END SHEET
END SCHEMATIC
